Bug 177665 - Kernel causes system to hang within 48 hours
Kernel causes system to hang within 48 hours
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 14:22 EST by Gilbert Sebenste
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-smp-2.6.15-1.1823_FC4.i686.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 17:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilbert Sebenste 2006-01-12 14:22:59 EST
Description of problem: kernel-smp-2.6.15-1.1823_FC4.i686.rpm

Machine boots up normally after install of this kernel, but has these messages
below. After a few days, the machine hangs. When I try to type something on the
console at a prompt after this happens, I can't get a prompt back. SSHing into
the machine won't work.

ICMP pings are around .2 seconds after the hang, way slower than what is
expected from a machine sitting right next to it on the same network switch.

WARNING:  Kernel Errors Present
     [<c010383a>] setup_sigcontext+0xe1/0x120     [<c0104c23>]
error_code+0x4f/0x54...:  4 Time(s)
     [<c0104b58>] apic_timer_interrupt+0x1c/0x24     [<c0104c23>]
error_code+0x4f/0x54...:  3 Time(s)
     [<c0104c23>] error_code+0x4f/0x54  ...:  94 Time(s)
     [<c0104e4c>] show_trace+0x2d/0xb5     [<c0104c23>] 
error_code+0x4f/0x54...:  2 Time(s)
     [<c0104eb0>] show_trace+0x91/0xb5     [<c0104c23>]
error_code+0x4f/0x54...:  2 Time(s)
     [<c010544c>] do_divide_error+0x0/0xa8     [<c...:  163 Time(s)
     [<c012007f>] rebalance_tick+0x102/0x121     [<c0104c23>]
error_code+0x4f/0x54...:  2 Time(s)
     [<c012309f>] copy_mm+0x33f/0x3ae     [<c0104c23>]
error_code+0x4f/0x54...:  3 Time(s)
error_code+0x4f/0x54...:  3 Time(s)
     [<c0127b9b>] do_exit+0x100/0x400     [<c010544c>]
do_divide_error+0x0/0xa8...:  26 Time(s)
     [<c0127e1f>] do_exit+0x384/0x400     [<c010544c>]
do_divide_error+0x0/0xa8...:  6 Time(s)
     [<c01422e6>] __print_symbol+0xcc/0xef     [<c0104c23>]
error_code+0x4f/0x54...:  26 Time(s)
     [<c0149b25>] sync_page+0x0/0x3d     [<c0104c23>]
error_code+0x4f/0x54...:  5 Time(s)
     [<c014aa87>] file_read_actor+0x0/0xda     [<c0104c23>]
error_code+0x4f/0x54...:  2 Time(s)
     [<c018404e>] update_atime+0x45/0x72     [<c0104c23>]
error_code+0x4f/0x54...:  2 Time(s)
     [<c018c098>] __mark_inode_dirty+0x28/0x191     [<c0104c23>]
error_code+0x4f/0x54...:  45 Time(s)
     [<c018c0c6>] __mark_inode_dirty+0x56/0x191     [<c0104c23>]
error_code+0x4f/0x54...:  47 Time(s)
     [<c01c6eda>] avc_has_perm_noaudit+0x24/0xce     [<c0104c23>]
error_code+0x4f/0x54...:  5 Time(s)
     [<c01c6fd2>] avc_has_perm+0x4e/0x5c     [<c0104c23>]
error_code+0x4f/0x54...:  3 Time(s)
     [<c02c30aa>] sys_recvfrom+0xfd/0x10f     [<c0104c23>]
error_code+0x4f/0x54...:  2 Time(s)
     [<c0327863>] unix_stream_recvmsg+0x1da/0x442     [<c0104c23>]
error_code+0x4f/0x54...:  3 Time(s)
     [<c032bc5c>] schedule+0x94c/0xc83     [<c0104c23>]
error_code+0x4f/0x54...:  4 Time(s)
     [<c032e080>] do_page_fault+0x0/0x6f0     [<c0104c23>]
error_code+0x4f/0x54...:  42 Time(s)
    tinuing in 84 seconds.
Continuing in 83 seconds.
Continuing in 82 seconds.
Continuing in 81 seconds.
Continuing in 80 seconds.
Continuing in 79 seconds.
(deletia by Gilbert)
Continuing in 66 seconds.
Continuing in 65 seconds.
Continuing in 64 seconds.
Continuing in 63 seconds.
Cont80>] do_page_fault+0x0/0x6f0     [<c0104c23>] error_code+0x4f/0x54...:
1 Time(s)

Rebooting deletes some bad inodes and then all seems well except that, with
this kernel, the performance isn't as a good as the other ones; everything seems
a bit slower.



Version-Release number of selected component (if applicable): 
kernel-smp-2.6.15-1.1823_FC4.i686.rpm



How reproducible:
Every time

Steps to Reproduce:
1. Install kernel from testing using yum update
2. Reboot
3. Wait a few days for it to hang. No warning is noticed before it happens.
  
Actual results:
Machine hangs after a few days. Cannot type anything in at a prompt, menus
won't work, seems like the entire system is busy doing something, but not
quite.

Expected results: No problems. :-)

Additional info:
Comment 1 Gilbert Sebenste 2006-01-23 17:31:22 EST
Close bug: updated kernel from Dave Jones fixed the problems.

Note You need to log in before you can comment on or make changes to this bug.